Page MenuHomePhabricator

inline footnotes/citations/references disappearing from mobile android rendering
Closed, ResolvedPublic

Description

inline footnotes/citations/references are disappearing from mobile android rendering.

some articles that haven't been edited in a while retain the inline cites but they'll lose them when edited or null edited. (a save with or without changing any of the wikitext) (they are still there in source when hitting edit in the app, just missing from rendered view)

some articles apparently already lost their inline cites before I got to read them, they lose them as they're edited (or possibly also when the fall out of parser or other cache).

if this is intentional where was it discussed in advance?

Event Timeline

jeremyb created this task.Jan 21 2018, 7:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 21 2018, 7:18 PM
jeremyb triaged this task as Unbreak Now! priority.Jan 21 2018, 7:18 PM

Originally noticed this with Android App 2.7.224-beta-2018-01-06 then installed and tested briefly with production 2.7.224-r-2018-01-06 and then did test edits (and a null edit on desktop) with that same beta again.

Mobile web appears to be unaffected.

Known issue: T184476

I imagine the fix will be released soon but there might be a small delay as much of the org is in transit for Dev Summit / All Hands.

thanks Mholloway. hopefully I got that task relationship right...

@jeremyb - Do you know of any particular articles I could use to test this problem? Thanks

any article that has references. have you had trouble finding one?

if you really need examples here you go

@jeremyb - Thanks, based on the ticket description I thought perhaps like the article needed to be a particular state to reproduce the issue. I just wanted to make sure I did not miss anything.

This appears to be fixed on v2.7.224-alpha-2018-01-26

Change 407747 had a related patch set uploaded (by Mholloway; owner: Mholloway):
[mediawiki/services/mobileapps@master] Temporarily rewrite sup.mw-ref to span.mw-ref for the Android app

https://gerrit.wikimedia.org/r/407747

Change 407747 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Temporarily rewrite sup.mw-ref back to span.mw-ref on mobile-sections*

https://gerrit.wikimedia.org/r/407747

Mholloway added a comment.EditedFeb 5 2018, 4:26 PM

The workaround MCS patch has been deployed. Note that this won't take effect for all pages immediately; you can see it in action by viewing any recently changed page (see Special:RecentChanges on your favorite Wikipedia), such as Tina Turner on enwiki as of this writing. More pages will be updated with the fix as they are edited or age out of RESTBase cache. The workaround fix applies to both current and legacy versions of the app.

If it's a sufficiently high priority we could consider asking the services team to regenerate all mobile-sections responses with the fix, but this will likely need to be done in any case later in the week for a separate change, so it would make sense to do it once for both changes.

Mholloway lowered the priority of this task from Unbreak Now! to High.Feb 5 2018, 4:27 PM
Dbrant closed this task as Resolved.Feb 28 2018, 3:03 PM
Dbrant claimed this task.